## mediawiki 1.19.2

=== debian/changelog ===
mediawiki (1:1.19.2-2) unstable; urgency=low

  * debian/watch: mangle the epoch away so DDPO is green again
  * Break mw-ext-fckeditor, it doesn’t work with 1.19 (Closes: #689375)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 02 Oct 2012 14:09:42 +0200

mediawiki (1:1.19.2-1) unstable; urgency=low

  [ Thorsten Glaser ]
  * New upstream: security fixes for CVE-2012-4377, CVE-2012-4378,
    CVE-2012-4379, CVE-2012-4380, CVE-2012-4381, CVE-2012-4382
    (Closes: #686330)
  * Prevent <table></table> without any <tr /> inside, globally
  * Fix more cases of not checking $wgHtml5
  * MW’s ID (XML) sanitiser is there for a reason, use it!
  * Prevent <ul></ul> without any <li /> inside in MonoBook
  * Fix invalid XHTML caused by code not honouring $wgHtml5
  * Quell some PHP warnings from sloppy code
  * Do the wfSuppressWarnings patch used with FusionForge right
  * Add myself to Uploaders and quieten lintian a bit
  * Do not replace patched jquery-tablesorter with unpatched one;
    unbreaks sortable tables (Closes: #687519)
  * Update versioned Breaks against fusionforge and mw-extensions

  [ Jonathan Wiltshire ]
  * Add Recommends on mediawiki-extensions-base and php-wikidiff2

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 20 Sep 2012 13:40:12 +0200

=== debian/control ===
Source: mediawiki
Section: web
Priority: optional
Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Jonathan Wiltshire <jmw@debian.org>, Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper (>= 9),
 dh-buildinfo,
 ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
Homepage: http://www.mediawiki.org/
Standards-Version: 3.9.3
Vcs-SVN: svn://svn.debian.org/svn/pkg-mediawiki/mediawiki/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-mediawiki/mediawiki/trunk/

Package: mediawiki
Architecture: all
Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite, mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, ${misc:Depends}
Recommends: mysql-server | postgresql-contrib, php5-cli, python, php-wikidiff2,  mediawiki-extensions-base
Suggests: imagemagick | php5-gd, mediawiki-math, memcached, clamav
Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
 mediawiki-extensions-base (<< 2.8~),
 mediawiki-extensions-geshi (<< 2.8~),
 mediawiki-extensions-ldapauth (<< 2.8~),
 mediawiki-extensions-openid (<< 2.8~),
 mediawiki-extensions-confirmedit (<< 2.8~),
 mediawiki-extensions-fckeditor,
 mediawiki-extensions-collection (<< 2.8~),
 mediawiki-extensions-graphviz (<< 2.8~),
 mediawiki-extensions (<< 2.8~)
Description: website engine for collaborative work
 MediaWiki is a wiki engine (a program for creating a collaboratively
 edited website). It is designed to handle heavy websites containing
 library-like document collections, and supports user uploads of
 images/sounds, multilingual content, TOC autogeneration, ISBN links,
 etc.
 .
 Moreover, it keeps track of changes, so users can receive
 notifications, view diffs and revert edits. This system has many
 other features and can easily be extended.

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

override_dh_install:
	dh_install
	# Ugh. This is easier than patching, though.
	chmod a+x debian/mediawiki/usr/share/mediawiki/includes/normal/UtfNormalTest2.php
	# Now some tidying up is required
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/compare_schemas.pl
	chmod a+x debian/mediawiki/usr/share/mediawiki/maintenance/postgres/mediawiki_mysql2postgres.pl
	chmod a+x debian/mediawiki/var/lib/mediawiki/extensions/ConfirmEdit/captcha.py
	chmod a-x debian/mediawiki/usr/share/mediawiki/resources/jquery/images/marker.png
	chmod a-x debian/mediawiki/var/lib/mediawiki/extensions/WikiEditor/modules/jquery.wikiEditor.toolbar.config.js
	find debian/mediawiki/usr/share/mediawiki -maxdepth 1 -mindepth 1 | grep -v "\(LocalSettings.php\|AdminSettings.php\|debian-scripts\|images\|extensions\|config\)" | \
	while read i; do \
		dh_link "`echo "$$i" | sed -e s#debian/mediawiki/##`" \
		"`echo "$$i" | sed -e s#debian/mediawiki/usr/share/mediawiki/#var/lib/mediawiki/#`"; \
	done
	# Use system javascript libraries
	rm debian/mediawiki/usr/share/mediawiki/resources/jquery/jquery.js
	rm debian/mediawiki/usr/share/mediawiki/resources/jquery.tipsy/jquery.tipsy.js
	dh_link usr/share/javascript/jquery/jquery.min.js usr/share/mediawiki/resources/jquery/jquery.js
	dh_link usr/share/javascript/jquery-tipsy/jquery.tipsy.min.js usr/share/mediawiki/resources/jquery.tipsy/jquery.tipsy.js; \
	for lib in cookie form; do \
		rm debian/mediawiki/usr/share/mediawiki/resources/jquery/jquery.$$lib.js; \
		dh_link usr/share/javascript/jquery-$$lib/jquery.$$lib.min.js usr/share/mediawiki/resources/jquery/jquery.$$lib.js; \
		echo $$lib; \
	done
	# Remove Makefiles
	find debian/mediawiki/ -iname makefile -exec rm {} \;
	# License added to copyright file:
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/icons/COPYING
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/cyrl/LICENSE
	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/ksh/LICENSE
	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/COPYING
	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/LICENSE
	rm -f debian/mediawiki/var/lib/mediawiki/extensions/ParserFunctions/COPYING
	rm -f debian/mediawiki/var/lib/mediawiki/extensions/Nuke/COPYING
	# Put debian version for mediawiki version..
	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php

override_dh_installdeb:
	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
	dh_installdeb

%:
	dh $@

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/^[0-9]+://" \
http://www.mediawiki.org/wiki/Download http://download.wikimedia.org/mediawiki/.*/mediawiki-(.*).tar.gz

## mediawiki 1.19.3

=== debian/changelog ===
mediawiki (1:1.19.3-2) unstable; urgency=low

  * Add missing changelog entries to 1:1.19.3-1 upload (oops…)
  * Upstream patch to fix XHTML issue in Special:Upload (BZ#40889)
  * Upstream patch to fix another MySQLism (BZ#39635) (Closes: #700595)
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 18 Feb 2013 10:24:08 +0100

mediawiki (1:1.19.3-1) unstable; urgency=high

  [ Thorsten Glaser ]
  * Note: these changes were part of this upload, even though
    they were not detailed in this changelog entry when uploading:
  * <img> tags must always have an alt attribute
  * fix DB upgrade FUBAR issue for PostgreSQL (BZ#29635)
  * allow MySQL users to choose either PHP5 client library (Closes: #689758)

  [ Dominik George ]
  * Team upload
  * New upstream version fixes security issues (Closes: #694998)
    + Prevent session fixation in Special:UserLogin (CVE-2012-5391)
      https://bugzilla.wikimedia.org/show_bug.cgi?id=40995
    + Prevent linker regex from exceeding PCRE backtrack limit
      https://bugzilla.wikimedia.org/show_bug.cgi?id=41400

  [ Thorsten Glaser ]
  * Fix spelling error in README.Debian (thanks lintian!)

 -- Dominik George <nik@naturalnet.de>  Wed, 12 Dec 2012 09:44:08 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 Package: mediawiki
 Architecture: all
-Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite, mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, ${misc:Depends}
-Recommends: mysql-server | postgresql-contrib, php5-cli, python, php-wikidiff2,  mediawiki-extensions-base
+Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite | php5-mysqlnd, mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, ${misc:Depends}
+Recommends: mysql-server | postgresql-contrib, php5-cli, python, php-wikidiff2, mediawiki-extensions-base
 Suggests: imagemagick | php5-gd, mediawiki-math, memcached, clamav
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
  mediawiki-extensions-base (<< 2.8~),

## mediawiki 1.19.4

=== debian/changelog ===
mediawiki (1:1.19.4-1) unstable; urgency=high

  * Urgency high for security fix
  * New upstream release:
    - New preference type - 'api'. Preferences of this type are not shown
      on Special:Preferences, but are still available via the
      action=options API.
    - (bug 44010) Context is passed to UserGetLanguageObject.
    - The recursion guard on RequestContext::getLanguage() was weakened.
    - (bug 44135/bug 42441) Pass '2' instead of 'true' to CURLOPT_SSL_VERIFYHOST
    - (bug 43518) API action=unblock should return the user name, not the
      full user object (Closes: #702305)
    - Increase timeout values for some tests

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 04 Mar 2013 23:06:30 +0000

## mediawiki 1.19.5

=== debian/changelog ===
mediawiki (1:1.19.5-1) unstable; urgency=high

  [ Platonides ]
  * Update config URL in README.Debian (Closes: #703804)

  [ Thorsten Glaser ]
  * Re-add LocalSettings creation snippet for support of the
    mediawiki-extensions Debian packaging (Closes: #703852)
  * New upstream security-only release:
    - (bug 47251) SECURITY: Disable external entities in Import
    - (bug 46859) SECURITY: Disable external entities in XMLReader
    - (bug 46084) SECURITY: Sanitize $limitReport before outputting
    - (bug 43594) Fix notices displayed on PHP 5.4
    - (bug 40585) Don't drop 'step="any"' in HTML input fields.
  * Refresh patches against new upstream code

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 16 Apr 2013 11:04:05 +0200

## mediawiki 1.19.6

=== debian/changelog ===
mediawiki (1:1.19.6-1) unstable; urgency=low

  * New upstream security release (Closes: #706601):
    - SVG script filtering could be bypassed for Chrome and Firefox
      clients by using an encoding that MediaWiki understood, but these
      browsers interpreted as UTF-8. (CVE-2013-2031)
    - Internal review discovered that extensions were not given the
      opportunity to disable a password reset, which could lead to
      circumvention of two-factor authentication (CVE-2013-2032)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 11 May 2013 16:07:43 +0100

## mediawiki 1.19.7+dfsg

=== debian/changelog ===
mediawiki (1:1.19.7+dfsg-1) unstable; urgency=low

  * New low-impact upstream security release
  * Refresh patches
  * Change watch file to track upstream LTS version
  * Replace trademarked image files by self-drawn Free ones
  * Fix VCS-* URLs – prodded by lintian from experimental
  * Policy 3.9.4 with no further changes needed

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 23 May 2013 11:03:39 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  dh-buildinfo,
  ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
 Homepage: http://www.mediawiki.org/
-Standards-Version: 3.9.3
-Vcs-SVN: svn://svn.debian.org/svn/pkg-mediawiki/mediawiki/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-mediawiki/mediawiki/trunk/
+Standards-Version: 3.9.4
+Vcs-SVN: svn://anonscm.debian.org/pkg-mediawiki/mediawiki/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-mediawiki/mediawiki/trunk/
 
 Package: mediawiki
 Architecture: all

## mediawiki 1.19.8+dfsg

=== debian/changelog ===
mediawiki (1:1.19.8+dfsg-1) unstable; urgency=low

  * mediawiki-math is now called mediawiki-extensions-math
    ⇒ update the package relationship fields
  * Make my self-drawn CC images nicer and more consistent
  * New upstream security release
  * Secure the default images directory (Closes: #716884)
  * Allow PDF upload (Closes: #716957)
  * Nuke ref to ENOENT dir (Closes: #705107)
  * Update debian/copyright information
  * Pull upstream patch to fix variables (Closes: #709943)
  * Sort patches ASCIIbetically; refresh them against new version
  * For Apache 2.4, move configuration file (Closes: #669832)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 05 Sep 2013 17:07:53 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite | php5-mysqlnd, mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, ${misc:Depends}
 Recommends: mysql-server | postgresql-contrib, php5-cli, python, php-wikidiff2, mediawiki-extensions-base
-Suggests: imagemagick | php5-gd, mediawiki-math, memcached, clamav
+Suggests: imagemagick | php5-gd, mediawiki-extensions-math, memcached, clamav
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
  mediawiki-extensions-base (<< 2.8~),
  mediawiki-extensions-geshi (<< 2.8~),

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
-DEB_VERSION ?= $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
-DEB_NOEPOCH_VERSION ?= $(shell echo $(DEB_VERSION) | cut -d: -f2-)
-DEB_UPSTREAM_VERSION ?= $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+DEB_VERSION:=$(shell dpkg-parsechangelog -n1 | sed -n '/^Version: /s///p')
+DEB_NOEPOCH_VERSION:=$(shell DEB_VERSION=${DEB_VERSION}; echo $${DEB_VERSION\#*:})
+DEB_UPSTREAM_VERSION:=$(shell DEB_NOEPOCH_VERSION=${DEB_NOEPOCH_VERSION}; echo $${DEB_NOEPOCH_VERSION%+dfsg-*})
 
 override_dh_install:
 	dh_install
@@ -47,5 +47,22 @@
 	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
 	dh_installdeb
 
+# DevRef §6.7.8.2.
+.PHONY: get-orig-source
+get-orig-source:
+	mksh -o pipefail -e -x -c 'DEB_UPSTREAM_VERSION=${DEB_UPSTREAM_VERSION}; \
+		rm -rf debian/tmp; mkdir debian/tmp; cd debian/tmp; \
+		[[ -s ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz ]] && \
+		    ln -s ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz || \
+		    wget http://dumps.wikimedia.org/mediawiki/$${DEB_UPSTREAM_VERSION%.*}/mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz; \
+		paxtar xzf mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz; \
+		rm -f mediawiki-${DEB_UPSTREAM_VERSION}/skins/common/images/cc-*; \
+		mv mediawiki-${DEB_UPSTREAM_VERSION} mediawiki-${DEB_UPSTREAM_VERSION}.orig; \
+		find mediawiki-${DEB_UPSTREAM_VERSION}.orig -type f | \
+		    sort | paxcpio -oC512 -Hustar -Mdist | \
+		    xz -6e >../mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz; \
+		cd ..; rm -rf tmp'
+	@ls -l debian/mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz
+
 %:
 	dh $@

=== debian/watch ===
version=3

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//" \
http://dumps.wikimedia.org/mediawiki/1.19/ mediawiki-([0-9.]*).tar.gz

## mediawiki 1.19.9+dfsg

=== debian/changelog ===
mediawiki (1:1.19.9+dfsg-2) unstable; urgency=medium

  * Ship files in /etc/mediawiki-extensions/extensions-available/
    for extensions shipped with the mediawiki core
  * Correct typo in changelog for 1:1.19.9+dfsg-1

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 31 Dec 2013 14:00:37 +0100

mediawiki (1:1.19.9+dfsg-1) unstable; urgency=medium

  [ Jonathan Wiltshire ]
  * Re-work debian/rule:get-orig-source:
    - use more conventional tools
    - improve legibility
    - safer use of temporary directories
  * Guard against missing mod_php5 in Apache configuration
    (Closes: #725162)

  [ Thorsten Glaser ]
  * Refresh patches against 1.19.9
  * Handle /var/lib/mediawiki/extensions/* always as symlinks, for
    both core and extra extensions, with upgrade path (Closes: #719208)
  * Address updated lintian tags
  * Update copyright file with things noted by Paul Tagliamonte, thanks!

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 31 Dec 2013 12:18:56 +0100

mediawiki (1:1.19.8+dfsg-2.2) unstable; urgency=high

  * Non-maintainer upload
  * Security fixes (Closes: #729629):
    - Kevin Israel (Wikipedia user PleaseStand) identified and reported two
      vectors for injecting Javascript in CSS that bypassed MediaWiki's
      blacklist [CVE-2013-4567, CVE-2013-4568]
    - Internal review while debugging a site issue discovered that MediaWiki
      and the CentralNotice extension were incorrectly setting cache headers
      when a user was autocreated, causing the user's session cookies to be
      cached, and returned to other users [CVE-2013-4572]
  * New Polish debconf translation, thanks to Magdalena Z. Kubot
    (Closes: #731381)

 -- David Prévot <taffit@debian.org>  Sun, 08 Dec 2013 16:13:40 -0400

mediawiki (1:1.19.8+dfsg-2.1) unstable; urgency=low

  * Provide includes/libs in mediawiki-classes (Closes: #703837)

 -- David Prévot <taffit@debian.org>  Wed, 23 Oct 2013 11:29:27 -0400

mediawiki (1:1.19.8+dfsg-2) unstable; urgency=low

  [ Thorsten Glaser ]
  * debian/rules: get-orig-source now leaves the repacked origtgz
    in ./ ipv in ./debian/ according to Policy §4.9 (noticed by
    Natureshadow)
  * Add version guards to apache.conf

  [ Jonathan Wiltshire ]
  * Update apache.conf for Apache 2.4 syntax changes, and document
    in debian/NEWS (Closes: #723620, #669832)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 24 Sep 2013 19:04:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,25 @@
  dh-buildinfo,
  ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
 Homepage: http://www.mediawiki.org/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-SVN: svn://anonscm.debian.org/pkg-mediawiki/mediawiki/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-mediawiki/mediawiki/trunk/
 
 Package: mediawiki
 Architecture: all
-Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite | php5-mysqlnd, mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, ${misc:Depends}
+Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite | php5-mysqlnd, mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, mediawiki-classes, ${misc:Depends}
 Recommends: mysql-server | postgresql-contrib, php5-cli, python, php-wikidiff2, mediawiki-extensions-base
 Suggests: imagemagick | php5-gd, mediawiki-extensions-math, memcached, clamav
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),
- mediawiki-extensions-base (<< 2.8~),
  mediawiki-extensions-geshi (<< 2.8~),
  mediawiki-extensions-ldapauth (<< 2.8~),
  mediawiki-extensions-openid (<< 2.8~),
- mediawiki-extensions-confirmedit (<< 2.8~),
  mediawiki-extensions-fckeditor,
  mediawiki-extensions-collection (<< 2.8~),
  mediawiki-extensions-graphviz (<< 2.8~),
  mediawiki-extensions (<< 2.8~)
+Conflicts: mediawiki-extensions-base (<< 3.5~),
+ mediawiki-extensions-confirmedit
 Description: website engine for collaborative work
  MediaWiki is a wiki engine (a program for creating a collaboratively
  edited website). It is designed to handle heavy websites containing
@@ -36,3 +36,24 @@
  Moreover, it keeps track of changes, so users can receive
  notifications, view diffs and revert edits. This system has many
  other features and can easily be extended.
+
+Package: mediawiki-classes
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: mediawiki (<< 1:1.19.8+dfsg-2.1~)
+Replaces: mediawiki (<< 1:1.19.8+dfsg-2.1~)
+Description: website engine for collaborative work - standalone classes
+ This package provides standalone classes from the remainder of the
+ MediaWiki codebase. They do not call on any other portions of MediaWiki
+ code, and can be used in portions of MediaWiki code, and can be used in
+ other projects without dependency issues.
+ .
+ MediaWiki is a wiki engine (a program for creating a collaboratively
+ edited website). It is designed to handle heavy websites containing
+ library-like document collections, and supports user uploads of
+ images/sounds, multilingual content, TOC autogeneration, ISBN links,
+ etc.
+ .
+ Moreover, it keeps track of changes, so users can receive
+ notifications, view diffs and revert edits. This system has many
+ other features and can easily be extended.

=== debian/rules ===
--- 
+++ 
@@ -42,14 +42,28 @@
 	# Put debian version for mediawiki version..
 	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
 			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php
+	# Move extensions
+	mkdir -p debian/mediawiki/usr/share/doc/mediawiki
+	mv debian/mediawiki/var/lib/mediawiki/extensions/README \
+	    debian/mediawiki/usr/share/doc/mediawiki/README.extensions
+	mv debian/mediawiki/var/lib/mediawiki/extensions \
+	    debian/mediawiki/usr/share/mediawiki/extensions-core
+	mkdir debian/mediawiki/var/lib/mediawiki/extensions
+	coreextensions=$$(cd debian/mediawiki/usr/share/mediawiki/extensions-core; \
+	    echo *); for coreextension in $$coreextensions; do \
+		dh_link usr/share/mediawiki/extensions-core/"$$coreextension" \
+		    var/lib/mediawiki/extensions/"$$coreextension"; \
+	done
+	# includes/libs is provided by mediawiki-classes
+	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs
 
 override_dh_installdeb:
 	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
 	dh_installdeb
 
 # DevRef §6.7.8.2.
-.PHONY: get-orig-source
-get-orig-source:
+.PHONY: get-orig-source-tg
+get-orig-source-tg:
 	mksh -o pipefail -e -x -c 'DEB_UPSTREAM_VERSION=${DEB_UPSTREAM_VERSION}; \
 		rm -rf debian/tmp; mkdir debian/tmp; cd debian/tmp; \
 		[[ -s ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz ]] && \
@@ -60,9 +74,23 @@
 		mv mediawiki-${DEB_UPSTREAM_VERSION} mediawiki-${DEB_UPSTREAM_VERSION}.orig; \
 		find mediawiki-${DEB_UPSTREAM_VERSION}.orig -type f | \
 		    sort | paxcpio -oC512 -Hustar -Mdist | \
-		    xz -6e >../mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz; \
+		    xz -6e >../../mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz; \
 		cd ..; rm -rf tmp'
-	@ls -l debian/mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz
+	@ls -l mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz
+.PHONY: get-orig-source-jmw
+get-orig-source-jmw:
+	$(eval TMPDIR=$(shell mktemp -d))
+	$(eval MWTAR=mediawiki_${DEB_UPSTREAM_VERSION}.orig.tar.gz)
+	$(eval DFSGTAR=mediawiki_${DEB_UPSTREAM_VERSION}+dfsg.orig.tar.xz)
+	@uscan --rename --download-current-version --destdir=${TMPDIR} > /dev/null
+	@cd ${TMPDIR} && ( \
+		tar zxf ${MWTAR}; \
+		rm -f mediawiki-${DEB_UPSTREAM_VERSION}/skins/common/images/cc-*; \
+        mv mediawiki-${DEB_UPSTREAM_VERSION} mediawiki-${DEB_UPSTREAM_VERSION}.orig; \
+		tar Jcf ${DFSGTAR} mediawiki-${DEB_UPSTREAM_VERSION}.orig; \
+	)
+	@mv ${TMPDIR}/${DFSGTAR} ../
+	@rm -r ${TMPDIR}
 
 %:
 	dh $@

=== debian/watch ===
version=3

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//,pgpsigurlmangle=s/$/.sig/" \
http://dumps.wikimedia.org/mediawiki/1.19/ mediawiki-([0-9.]*).tar.gz

## mediawiki 1.19.14%2Bdfsg

=== maintenance/Makefile ===
help:
	@echo "Run 'make test' to run the parser tests."
	@echo "Run 'make doc' to run the doxygen generation."
	@echo "Run 'make man' to run the doxygen generation with man pages."

test:
	php tests/parserTests.php --quiet

doc:
	php mwdocgen.php --all
	@echo 'Doc generation done. Look at ./docs/html/'

man:
	php mwdocgen.php --all --generate-man
	@echo 'Doc generation done. Look at ./docs/html/ and ./docs/man'
	@echo 'You might want to update your MANPATH currently:'
	@echo 'MANPATH: $(MANPATH)'

## mediawiki 1.19.14+dfsg

=== serialized/Makefile ===

SPECIAL_TARGETS=Utf8Case.ser
ALL_TARGETS=$(SPECIAL_TARGETS)
DIST_TARGETS=$(SPECIAL_TARGETS)

.PHONY: all dist clean

all: $(ALL_TARGETS)
	@echo 'Warning: messages are no longer serialized by this makefile.'

dist: $(DIST_TARGETS)

clean:
	rm -f $(ALL_TARGETS)

Utf8Case.ser : ../includes/normal/Utf8Case.php
	php serialize.php -o $@ $<

=== includes/normal/Makefile ===
.PHONY : all test testutf8 testclean icutest bench icubench clean distclean

## Latest greatest version of Unicode
## May cause confusion if running test suite from these files
## when the data was generated from a previous version.
#BASE=http://www.unicode.org/Public/UNIDATA

# Explicitly using Unicode 6.0
BASE=http://www.unicode.org/Public/6.0.0/ucd

# Can override to php-cli or php5 or whatevah
PHP=php
#PHP=php-cli

# Some nice tool to grab URLs with
FETCH=wget
#FETCH=fetch

all : UtfNormalData.inc Utf8Case.php

UtfNormalData.inc : UtfNormalGenerate.php UtfNormalUtil.php UnicodeData.txt CompositionExclusions.txt NormalizationCorrections.txt DerivedNormalizationProps.txt
	$(PHP) UtfNormalGenerate.php

Utf8Case.php : Utf8CaseGenerate.php UtfNormalUtil.php UnicodeData.txt
	$(PHP) Utf8CaseGenerate.php

test : testutf8 UtfNormalTest.php UtfNormalData.inc NormalizationTest.txt
	$(PHP) UtfNormalTest.php

testutf8 : Utf8Test.php UTF-8-test.txt
	$(PHP) Utf8Test.php

bench : UtfNormalData.inc testdata/washington.txt testdata/berlin.txt testdata/tokyo.txt testdata/young.txt testdata/bulgakov.txt
	$(PHP) UtfNormalBench.php

icutest : UtfNormalData.inc NormalizationTest.txt
	$(PHP) Utf8Test.php --icu
	$(PHP) UtfNormalTest.php --icu

icubench : UtfNormalData.inc testdata/washington.txt testdata/berlin.txt testdata/tokyo.txt testdata/young.txt testdata/bulgakov.txt
	$(PHP) UtfNormalBench.php --icu

clean :
	rm -f UtfNormalData.inc UtfNormalDataK.inc

distclean : clean
	rm -f CompositionExclusions.txt NormalizationTest.txt NormalizationCorrections.txt UnicodeData.txt DerivedNormalizationProps.txt UTF-8-test.txt

# The Unicode data files...
CompositionExclusions.txt :
	$(FETCH) $(BASE)/CompositionExclusions.txt

NormalizationTest.txt :
	$(FETCH) $(BASE)/NormalizationTest.txt

NormalizationCorrections.txt :
	$(FETCH) $(BASE)/NormalizationCorrections.txt

DerivedNormalizationProps.txt :
	$(FETCH) $(BASE)/DerivedNormalizationProps.txt

UnicodeData.txt :
	$(FETCH) $(BASE)/UnicodeData.txt

UTF-8-test.txt :
	$(FETCH) http://www.cl.cam.ac.uk/~mgk25/ucs/examples/UTF-8-test.txt

testdata/berlin.txt :
	mkdir -p testdata && wget -U MediaWiki/test -O testdata/berlin.txt "http://de.wikipedia.org/w/index.php?title=Berlin&oldid=2775712&action=raw"

testdata/washington.txt :
	mkdir -p testdata && wget -U MediaWiki/test -O testdata/washington.txt "http://en.wikipedia.org/w/index.php?title=Washington%2C_D.C.&oldid=6370218&action=raw"

testdata/tokyo.txt :
	mkdir -p testdata && wget -U MediaWiki/test -O testdata/tokyo.txt "http://ja.wikipedia.org/w/index.php?title=%E6%9D%B1%E4%BA%AC%E9%83%BD&oldid=940880&action=raw"

testdata/young.txt :
	mkdir -p testdata && wget -U MediaWiki/test -O testdata/young.txt "http://ko.wikipedia.org/w/index.php?title=%EC%9D%B4%EC%88%98%EC%98%81&oldid=627688&action=raw"

testdata/bulgakov.txt :
	mkdir -p testdata && wget -U MediaWiki/test -O testdata/bulgakov.txt "http://ru.wikipedia.org/w/index.php?title=%D0%91%D1%83%D0%BB%D0%B3%D0%B0%D0%BA%D0%BE%D0%B2%2C_%D0%A1%D0%B5%D1%80%D0%B3%D0%B5%D0%B9_%D0%9D%D0%B8%D0%BA%D0%BE%D0%BB%D0%B0%D0%B5%D0%B2%D0%B8%D1%87&oldid=17704&action=raw"

=== tests/phpunit/Makefile ===
.PHONY: help test phpunit install coverage warning destructive parser noparser safe databaseless list-groups
.DEFAULT: warning

SHELL = /bin/sh
CONFIG_FILE = $(shell pwd)/suite.xml
PHP = php
PU = ${PHP} phpunit.php --configuration ${CONFIG_FILE} ${FLAGS}

all test: warning

warning:
	@echo "Run 'make help' to get usage"
	@echo ""
	@echo "WARNING -- some tests are DESTRUCTIVE and will alter your wiki."
	@echo "DO NOT RUN THESE TESTS on a production wiki."
	@echo ""
	@echo "Until the default tests are made non-destructive, you can run"
	@echo "the destructive tests like so:"
	@echo ""
	@echo "    make destructive"
	@echo ""
	@echo "Some tests are expected to be safe, you can run them with"
	@echo ""
	@echo "    make safe"
	@echo ""
	@echo "You are recommended to run the tests with read-only credentials."
	@echo ""
	@echo "If you don't have a database running, you can still run"
	@echo ""
	@echo "    make databaseless"
	@echo ""

destructive: phpunit

phpunit:
	${PU}

install:
	./install-phpunit.sh

tap:
	${PU} --tap

coverage:
	${PU} --coverage-html ../../docs/code-coverage

parser:
	${PU} --group Parser
parserfuzz:
	@echo "******************************************************************"
	@echo "* This WILL kill your computer by eating all memory AND all swap *"
	@echo "*                                                                *"
	@echo "* If you are on a production machine. ABORT NOW!!                *"
	@echo "*  Press control+C to stop                                       *"
	@echo "*                                                                *"
	@echo "******************************************************************"
	${PU} --group Parser,ParserFuzz
noparser:
	${PU} --exclude-group Parser,Broken,ParserFuzz,Stub

safe:
	${PU} --exclude-group Broken,ParserFuzz,Destructive,Stub

databaseless:
	${PU} --exclude-group Broken,ParserFuzz,Destructive,Database,Stub

database:
	${PU} --exclude-group Broken,ParserFuzz,Destructive,Stub --group Database

list-groups:
	${PU} --list-groups

help:
	# Usage:
	#   make <target> [OPTION=value]
	#
	# Targets:
	#   phpunit (default)   Run all the tests with phpunit
	#   install             Install PHPUnit from phpunit.de
	#   tap                 Run the tests individually through Test::Harness's prove(1)
	#   help                You're looking at it!
	#   coverage            Run the tests and generates an HTML code coverage report
	#                       You will need the Xdebug PHP extension for the later.
	#   [no]parser          Skip or only run Parser tests
	#
	#   list-groups         List availabe Tests groups.
	#
	#  Options:
	#   CONFIG_FILE         Path to a PHPUnit configuration file (default: suite.xml)
	#   FLAGS               Additional flags to pass to PHPUnit
	#   PHP                 Path to php

=== debian/changelog ===
mediawiki (1:1.19.14+dfsg-1) unstable; urgency=medium

  * New upstream security fix release (Closes: #742857):
    - (bug 62497) SECURITY: Add CSRF token on Special:ChangePassword
    - (bug 62467) Set a title for the context during import on the cli
  * Use upstream-provided signing key bundle

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 28 Mar 2014 09:56:29 +0100

mediawiki (1:1.19.13+dfsg-1) unstable; urgency=medium

  * New upstream security fix release:
    - (bug 61362) Don't find links in the middle of api.php links
  * Raise session max lifetime (Closes: #648823)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 24 Mar 2014 09:42:23 +0100

mediawiki (1:1.19.12+dfsg-1) unstable; urgency=medium

  [ Florian Weimer ]
  * Add “Replaces: mediawiki-extensions-confirmedit”

  [ Thorsten Glaser ]
  * debian/watch: Change download location – the one we were using
    didn’t have the new release, and the announcement pointed to a
    different location – needs clarification which download URI is
    canonical…
  * debian/upstream/signing-key.asc: Add mah’s key, too…
  * New upstream security fix release:
    - (bug 60771) disallow iframe and unusual namespaces in SVG
    - (bug 61346) make token comparison use constant time
  * Fix stuff lintian pointed out (thanks)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 28 Feb 2014 18:49:08 +0100

mediawiki (1:1.19.11+dfsg-1) unstable; urgency=medium

  * New upstream security fix release:
    - CVE-2014-1610 (bug 60339) remote code exec in Djvu thumbnailer
  * Update upstream signing key location to devscript maintainers’
    latest whim…
  * Rely on uscan in get-orig-source instead of downloading manually

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 29 Jan 2014 10:10:39 +0100

mediawiki (1:1.19.10+dfsg-1) unstable; urgency=high

  * New upstream security fix release:
    - CVE-2013-4568 (bug 58088) Don't normalize U+FF3C to \ in CSS Checks
    - CVE-2013-6452 (bug 57550) Disallow stylesheets in SVG Uploads
    - CVE-2013-6453 (bug 58553) Return error on invalid XML for SVG Uploads
    - CVE-2013-6454 (bug 58472) Disallow -o-link in styles
    - CVE-2013-6472 (bug 58699) Fix RevDel log entry information leaks

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 14 Jan 2014 10:51:35 +0100

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  mediawiki-extensions (<< 2.8~)
 Conflicts: mediawiki-extensions-base (<< 3.5~),
  mediawiki-extensions-confirmedit
+Replaces: mediawiki-extensions-confirmedit
 Description: website engine for collaborative work
  MediaWiki is a wiki engine (a program for creating a collaboratively
  edited website). It is designed to handle heavy websites containing

=== debian/rules ===
--- 
+++ 
@@ -31,14 +31,6 @@
 	done
 	# Remove Makefiles
 	find debian/mediawiki/ -iname makefile -exec rm {} \;
-	# License added to copyright file:
-	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/icons/COPYING
-	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/cyrl/LICENSE
-	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/ksh/LICENSE
-	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/COPYING
-	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/LICENSE
-	rm -f debian/mediawiki/var/lib/mediawiki/extensions/ParserFunctions/COPYING
-	rm -f debian/mediawiki/var/lib/mediawiki/extensions/Nuke/COPYING
 	# Put debian version for mediawiki version..
 	sed -e "s#$(DEB_UPSTREAM_VERSION)#$(DEB_NOEPOCH_VERSION)#" \
 			-i debian/mediawiki/usr/share/mediawiki/includes/DefaultSettings.php
@@ -56,6 +48,19 @@
 	done
 	# includes/libs is provided by mediawiki-classes
 	rm -rf debian/mediawiki/usr/share/mediawiki/includes/libs
+	# licences added to debian/copyright file
+	rm -f debian/mediawiki/usr/share/mediawiki/extensions-core/Gadgets/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/extensions-core/Nuke/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/extensions-core/ParserFunctions/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/extensions-core/Renameuser/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/extensions-core/WikiEditor/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/maintenance/cssjanus/LICENSE
+	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/cyrl/LICENSE
+	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/icons/COPYING
+	rm -f debian/mediawiki/usr/share/mediawiki/skins/common/images/ksh/LICENSE
+	# fixup permissions
+	chmod a-x debian/mediawiki/usr/share/mediawiki/extensions-core/Nuke/Nuke*.php
 
 override_dh_installdeb:
 	find debian/mediawiki -depth \( -name ".cvsignore" -o -name ".gitignore" -o -name ".arch-ids" \) -exec rm -rf {} \;
@@ -64,12 +69,11 @@
 # DevRef §6.7.8.2.
 .PHONY: get-orig-source-tg
 get-orig-source-tg:
+	# rely on “uscan --verbose” to download, including pgp signature check
+	test -s ../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz
 	mksh -o pipefail -e -x -c 'DEB_UPSTREAM_VERSION=${DEB_UPSTREAM_VERSION}; \
 		rm -rf debian/tmp; mkdir debian/tmp; cd debian/tmp; \
-		[[ -s ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz ]] && \
-		    ln -s ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz || \
-		    wget http://dumps.wikimedia.org/mediawiki/$${DEB_UPSTREAM_VERSION%.*}/mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz; \
-		paxtar xzf mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz; \
+		paxtar xzf ../../../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz; \
 		rm -f mediawiki-${DEB_UPSTREAM_VERSION}/skins/common/images/cc-*; \
 		mv mediawiki-${DEB_UPSTREAM_VERSION} mediawiki-${DEB_UPSTREAM_VERSION}.orig; \
 		find mediawiki-${DEB_UPSTREAM_VERSION}.orig -type f | \

=== debian/watch ===
version=3

opts="dversionmangle=s/^[0-9]+://;s/\+dfsg$//,pgpsigurlmangle=s/$/.sig/" \
http://releases.wikimedia.org/mediawiki/1.19/ mediawiki-([0-9.]*).tar.gz

## mediawiki 1.19.18+dfsg

=== debian/changelog ===
mediawiki (1:1.19.18+dfsg-0.1) unstable; urgency=high

  * Non-maintainer upload with maintainers approval.
  * Imported Upstream version 1.19.18+dfsg
    (Closes: #758510)
    - CVE-2014-5241 (bug 68187) SECURITY: Prepend jsonp callback with comment.
    - CVE-2014-5243 (bug 65778) SECURITY: Copy prevent-clickjacking between
      OutputPage and ParserOutput.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 24 Aug 2014 06:47:35 +0200

mediawiki (1:1.19.17+dfsg-1) unstable; urgency=medium

  * New upstream security and maintenance release:
    - (bug 65839) SECURITY: Prevent external resources in SVG files.
    - (bug 66428) MimeMagic: Don't seek before BOF. This has weird
      side effects like only extracting the tail of the file partially
      or not at all.
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 26 Jun 2014 09:57:03 +0200

mediawiki (1:1.19.16+dfsg-1) unstable; urgency=medium

  * New upstream security and maintenance release:
    - CVE-2014-3966 (bug 65501) SECURITY: Don't parse usernames as
      wikitext on Special:PasswordReset.
  * Update debian/upstream/signing-key.asc

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 11 Jun 2014 16:35:39 +0200

mediawiki (1:1.19.15+dfsg-2) unstable; urgency=high

  * Depend on recent enough php5-common version to be able to use
    php5{en,dis}mod in maintainer scripts (Closes: #743893)
  * Urgency high because this rides on the previous security fix

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 08 Apr 2014 09:46:46 +0200

mediawiki (1:1.19.15+dfsg-1) unstable; urgency=medium

  * New upstream security and maintenance release:
    - Fixed resetting passwords
    - (bug 58640) Fixed compatibility issue with PCRE 8.34 that
      caused pages to appear blank or with missing text

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 03 Apr 2014 10:11:51 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: mediawiki
 Architecture: all
-Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite | php5-mysqlnd, mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, mediawiki-classes, ${misc:Depends}
+Depends: apache2 | httpd, php5, php5-mysql | php5-pgsql | php5-sqlite | php5-mysqlnd, php5-common (>= 5.5.0+dfsg-10~), mime-support, libjs-jquery, libjs-jquery-tipsy, libjs-jquery-cookie, libjs-jquery-form, mediawiki-classes, ${misc:Depends}
 Recommends: mysql-server | postgresql-contrib, php5-cli, python, php-wikidiff2, mediawiki-extensions-base
 Suggests: imagemagick | php5-gd, mediawiki-extensions-math, memcached, clamav
 Breaks: fusionforge-plugin-mediawiki (<< 5.2~rc1+1~),

## mediawiki 1.19.20+dfsg

=== debian/changelog ===
mediawiki (1:1.19.20+dfsg-2.3) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch fixing several security issues:
    - (bug T85848, bug T71210) SECURITY: Don't parse XMP blocks that
       contain XML entities, to prevent various DoS attacks.
    - (bug T88310) SECURITY: Always expand xml entities when checking
      SVG's.
    - (bug T73394) SECURITY: Escape > in Html::expandAttributes to
      prevent XSS.
    - (bug T85855) SECURITY: Don't execute another user's CSS or JS
      on preview.
    - (bug T85349, bug T85850, bug T86711) SECURITY: Multiple issues
      fixed in SVG filtering to prevent XSS and protect viewer's
      privacy.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 06 Apr 2015 16:53:54 +0000

mediawiki (1:1.19.20+dfsg-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch fixing T76686: thumb.php outputs wikitext message as raw
    HTML, which could lead to xss. Permission to edit MediaWiki namespace
    is required to exploit this.

 -- Sebastien Delafond <seb@debian.org>  Sun, 21 Dec 2014 13:11:10 +0100

mediawiki (1:1.19.20+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2014-9277: The <cross-domain-policy> mangling in OutputHandler.php
    poses a potentially severe security problem for API clients written in
    PHP, in that format=php is affected (Closes: #772764).

 -- Sebastien Delafond <seb@debian.org>  Sun, 14 Dec 2014 18:23:47 +0100

mediawiki (1:1.19.20+dfsg-2) unstable; urgency=low

  * Team upload.
  * Remove myself from Uploaders.

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 07 Oct 2014 18:13:52 +0000

mediawiki (1:1.19.20+dfsg-1) unstable; urgency=medium

  * Make debian/rules get-orig-source-tg call uscan automatically
  * New upstream security release:
    - (bug 70672) SECURITY: OutputPage: Remove separation of css
      and js module allowance.

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 02 Oct 2014 10:50:16 +0200

mediawiki (1:1.19.19+dfsg-1) unstable; urgency=medium

  [ Mert Dirik ]
  * Update turkish Debconf translation (Closes: #759878)

  [ Thorsten Glaser ]
  * Remove Romain Beauxis’ bouncing eMail address
  * Acknowledge NMU (1:1.19.18+dfsg-0.1) – thanks!
  * New upstream security and maintenance release:
    - (bug 69008) SECURITY: Enhance CSS filtering in SVG files.
      Filter <style> elements; normalize style elements and
      attributes before filtering; add checks for attributes that
      contain css; add unit tests for html5sec and reported bugs.
  * Bump Policy (no change required)
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 25 Sep 2014 16:55:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: web
 Priority: optional
 Maintainer: Mediawiki Maintenance Team <pkg-mediawiki-devel@lists.alioth.debian.org>
-Uploaders: Romain Beauxis <toots@rastageeks.org>, Jonathan Wiltshire <jmw@debian.org>, Thorsten Glaser <tg@mirbsd.de>
+Uploaders: Jonathan Wiltshire <jmw@debian.org>
 Build-Depends: debhelper (>= 9),
  dh-buildinfo,
  ocaml-nox | ocaml, xsltproc, docbook-xml, docbook-xsl, po-debconf
 Homepage: http://www.mediawiki.org/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-SVN: svn://anonscm.debian.org/pkg-mediawiki/mediawiki/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-mediawiki/mediawiki/trunk/

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,9 @@
 # DevRef §6.7.8.2.
 .PHONY: get-orig-source-tg
 get-orig-source-tg:
-	# rely on “uscan --verbose” to download, including pgp signature check
+	# rely on uscan to download, including pgp signature check
+	# run “dch -i” and increase to new upstream version before calling this!
+	uscan --force-download --verbose
 	test -s ../mediawiki-${DEB_UPSTREAM_VERSION}.tar.gz
 	mksh -o pipefail -e -x -c 'DEB_UPSTREAM_VERSION=${DEB_UPSTREAM_VERSION}; \
 		rm -rf debian/tmp; mkdir debian/tmp; cd debian/tmp; \
